MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024587Open CASCADE[OCCT] OCCT:DRAWpublic2014-02-03 10:082014-05-05 13:37
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024587: Separate TCL samples for ray tracing and creation of bottle
DescriptionIn OCCT 6.7.0, ray tracing mode has been added in samples/tcl/bottle.tcl to demonstrate ray tracing capabilities. It is better to separate ray tracing to its own sample, keeping bottle.tcl as demonstrator of modeling only.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0027726)
abv (manager)
2014-02-03 10:58

Change pushed to CR24587, please review and test
(0027728)
apn (administrator)
2014-02-03 12:04

Branch CR24587 was tested.
Samples bottle.tcl and raytrace.tcl work correctly.

- Related Changesets
occt: master 12402146
Timestamp: 2014-02-03 06:21:23
Author: abv
Committer: apn
Details ] Diff ]
0024587: Separate TCL samples for ray tracing and creation of bottle

New sample created for ray tracing in DRAW: samples/tcl/raytrace.tcl, rendering OCCT bottle with glass on a rectangular table, with shadows and reflections (if OpenCL is available). Sample bottle.tcl retains only modeling part.
mod - samples/tcl/bottle.tcl Diff ] File ]
add - samples/tcl/raytrace.tcl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-03 10:08 abv New Issue
2014-02-03 10:08 abv Assigned To => mkv
2014-02-03 10:18 mkv Assigned To mkv => apn
2014-02-03 10:18 mkv Status new => assigned
2014-02-03 10:58 abv Note Added: 0027726
2014-02-03 10:58 abv Status assigned => resolved
2014-02-03 12:03 apn Test case number => Not needed
2014-02-03 12:03 apn Status resolved => reviewed
2014-02-03 12:04 apn Note Added: 0027728
2014-02-03 12:04 apn Assigned To apn => bugmaster
2014-02-03 12:04 apn Status reviewed => tested
2014-02-10 12:41 apn Changeset attached => occt master 12402146
2014-02-10 12:41 apn Assigned To bugmaster => apn
2014-02-10 12:41 apn Status tested => verified
2014-02-10 12:41 apn Resolution open => fixed
2014-05-05 13:34 aiv Status verified => closed
2014-05-05 13:37 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker